Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1092752 - Get rid of the fenceSpmStorage calls
Summary: Get rid of the fenceSpmStorage calls
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.0
Assignee: Liron Aravot
QA Contact: Gal Amado
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-29 22:08 UTC by Federico Simoncelli
Modified: 2016-02-10 16:56 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 19:10:46 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30539 master MERGED core: replacing fenceSpmStorage with logic within engine Never
oVirt gerrit 30889 ovirt-engine-3.5 MERGED core: replacing fenceSpmStorage with logic within engine Never
oVirt gerrit 30890 ovirt-engine-3.5 MERGED core: removing fenceSpmStorage verb and related classes Never

Description Federico Simoncelli 2014-04-29 22:08:21 UTC
Description of problem:
The support of fenceSpmStorage on the vdsm side was left only for backward compatibility. It's time to discuss the removal on the engine side as well.

Comment 2 Nir Soffer 2014-04-30 10:30:14 UTC
We must keep this call for older engines, so we gain nothing but uneeded complexity on the engine side by removing the call on the vdsm side.

And we loose the ability to do something useful when this call issue issued in future version.

Comment 3 Federico Simoncelli 2014-04-30 22:09:33 UTC
(In reply to Nir Soffer from comment #2)
> We must keep this call for older engines, so we gain nothing but uneeded
> complexity on the engine side by removing the call on the vdsm side.

That's why this bug is filed on ovirt-engine-backend. This RFE is indeed intended to simplify the engine side, th current fenceSpmStorage is useless and should be removed.

> And we loose the ability to do something useful when this call issue issued
> in future version.

Currently in the fashion that it's used on the engine side and how it's implemented on the vdsm side is useless.
Whenever we'll decide to have this again we'll implement it properly on the vdsm side and we'll call it appropriately from engine side, now it's only pollution.

Comment 6 Gal Amado 2014-08-12 12:40:37 UTC
Verified on :
oVirt Engine Version: 3.5.0-0.0.master.20140804172041.git23b558e.el6
vdsm Version: vdsm-4.16.1-6.gita4a4614.el6.x86_64


The scenario I used to verify it was :
- a system up and running with 2 hosts.
- on the spm host , I've killed vdsms and supervdsd .
- on the GUI , I've clicked "confirm host was rebooted"
- on the engine.log, I saw that "FenceVdsManualyCommand" was triggered, 
  and "fenceSpmStorage" was not .

Comment 7 Allon Mureinik 2015-02-16 19:10:46 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.